from modelforcifar import dra_vggcifar
from modelforcifar import dra_resnetcifar
from modelforcifar import dra_shakepyramidcifar
from modelforcifar import dra_resnet

def buildNetwork(model_name = None, num_of_classes = 10, num_of_features = 512, init_weights = True, deg_flag = None, is_deglev_estimated = False):

	if 'VGG' in model_name:
		net_object = dra_vggcifar.DraVggCifar(vgg_name = model_name, num_of_classes = num_of_classes, num_of_features = num_of_features, init_weights = init_weights, deg_flag = deg_flag, is_deglev_estimated = is_deglev_estimated)
	elif 'OrgResNet' in model_name:
		net_object = dra_resnet.DraResNet(resnet_name = model_name, num_of_classes = num_of_classes, num_of_features = num_of_features, init_weights = init_weights, deg_flag = deg_flag, is_deglev_estimated = is_deglev_estimated)
	elif 'ResNet' in model_name:
		net_object = dra_resnetcifar.DraResNetCifar(resnet_name = model_name, num_of_classes = num_of_classes, num_of_features = num_of_features, init_weights = init_weights, deg_flag = deg_flag, is_deglev_estimated = is_deglev_estimated)
	elif 'Shake' in model_name:
		net_object = dra_shakepyramidcifar.DraShakePyramidCifar(shakepyramid_name = model_name, num_of_classes = num_of_classes, init_weights = init_weights, deg_flag = deg_flag, is_deglev_estimated = is_deglev_estimated)
	else:
		net_object = None

	return net_object
